#define _disable_ld_as_needed 1

Name:		openvas-scanner
Version:	3.2.5
Release:	%mkrel 4
Summary: 	Scanner module for OpenVAS
Group:		Monitoring
License:	GPLv2+
Url:		http://www.openvas.org
Source:		http://wald.intevation.org/frs/download.php/561/%name-%version.tar.gz
Source1:	openvas-scanner.initd
Source2:	openvassd.conf
Source3:	openvas-scanner.logrotate
Source4:	openvas-scanner.sysconfig
Source5:	openvas-nvt-sync-cron
Source6:	openvas-nvt-sync-cronjob
Source7:	openvas-scanner.service
Patch0:		openvas-scanner-3.2.2-install.patch
# Put certs to /etc/pki/tls
Patch1:		openvas-scanner-3.2.4-pki.patch
# Put openvas-mkcert-client to bin directory instead of sbin and install its man page
# Reported upstream http://wald.intevation.org/tracker/?func=detail&aid=1941&group_id=29&atid=220
Patch2:		openvas-scanner-mkcertclient.patch
# Allow compile time definition of the directory to store openvassd.rules
# Reported upstream http://wald.intevation.org/tracker/?func=detail&aid=1940&group_id=29&atid=220
Patch3:		openvas-scanner-rulesdir.patch
Patch4:     openvas-scanner-3.2.5-fix-linking.patch
BuildRequires:	openvas-devel >= 4.0
BuildRequires:	cmake
Requires:	    rsync
Requires:	    wget
Requires:	    curl
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
This is the scanner module for the Open Vulnerability Assessment System
(OpenVAS).

%prep
%setup -q
%patch0 -p 0 -b .install
%patch1 -p 1 -b .pkipath
%patch3 -p 1 -b .rules
%patch4 -p 1

sed -i -e 's#-Werror##' `grep -rl Werror *|grep CMakeLists.txt`

%build
%serverbuild
%cmake -DLOCALSTATEDIR=%{_var}
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

# Install startup script
install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/openvas-scanner

# Install systemd service
install -d -m 755 %{buildroot}%{_unitdir}
install -m 755 %{SOURCE7} %{buildroot}%{_unitdir}/openvas-scanner.service

# Install initial configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/openvas
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/openvas/openvassd.conf
perl -pi \
    -e 's:@@OPENVAS_PLUGINS@@:%{_var}/lib/openvas/plugins:g;' \
	-e 's:@@OPENVAS_CACHE@@:%{_var}/cache/openvas:g;'         \
	-e 's:@@OPENVAS_LOGDIR@@:%{_var}/log/openvas:g;'          \
	-e 's:@@OPENVAS_SYSCONF@@:%{_sysconfdir}/openvas:g;'      \
	-e 's:@@OPENVAS_CERT@@:%{_sysconfdir}/pki/openvas:g;'     \
    %{buildroot}%{_sysconfdir}/openvas/openvassd.conf

# install log rotation stuff
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/openvas-scanner

# Install sysconfig configration
install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/openvas-scanner

# Install cront script for update
install -d -m 755 %{buildroot}%{_sbindir}
install -m 755 %{SOURCE5} %{buildroot}%{_sbindir}

# Install cront jobs to periodically update plugins
install -d -m 755 %{buildroot}%{_sysconfdir}/cron.d
install -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/cron.d/openvas-sync-plugins

%post
%_create_ssl_certificate openvas

%_post_service openvas-scanner

%preun
%_preun_service openvas-scanner

%files
%dir %{_sysconfdir}/openvas
%config(noreplace) %{_sysconfdir}/openvas/openvassd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/openvas-scanner
%config(noreplace) %{_sysconfdir}/cron.d/openvas-sync-plugins
%config(noreplace) %{_sysconfdir}/logrotate.d/openvas-scanner
%{_initrddir}/openvas-scanner
%{_unitdir}/openvas-scanner.service
%{_sbindir}/openvas-adduser
%{_sbindir}/openvas-mkcert
%{_sbindir}/openvas-rmuser
%{_sbindir}/openvassd
%{_sbindir}/openvas-nvt-sync
%{_sbindir}/greenbone-nvt-sync
%{_sbindir}/openvas-mkcert-client
%{_sbindir}/openvas-nvt-sync-cron
%{_mandir}/man8/openvas-adduser.8.*
%{_mandir}/man8/openvas-mkcert.8.*
%{_mandir}/man8/openvas-rmuser.8.*
%{_mandir}/man8/openvassd.8.*
%{_mandir}/man8/openvas-nvt-sync.8.*
%{_mandir}/man8/greenbone-nvt-sync.8*
%dir %{_var}/lib/openvas
%dir %{_var}/lib/openvas/plugins
%dir %{_var}/cache/openvas


%changelog

* Sat Apr 28 2012 tmb <tmb> 3.2.5-4.mga2
+ Revision: 233830
- Require rpm-helper >= 0.24.8-1 for systemd support

* Sat Apr 21 2012 colin <colin> 3.2.5-3.mga2
+ Revision: 232356
- Fix systemd support

* Wed Apr 18 2012 guillomovitch <guillomovitch> 3.2.5-2.mga2
+ Revision: 231459
- fix linking
- systemd support

* Sun Nov 13 2011 guillomovitch <guillomovitch> 3.2.5-1.mga2
+ Revision: 167276
- new version
- imported package openvas-scanner

  + fwang <fwang>
    - rebuild for new gnutls


* Thu Jul 28 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.4-1.mga2
- new version
- spec cleanup

* Sun May 22 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.3-1mdv2011.0
+ Revision: 677435
- new version

* Sat Apr 02 2011 Funda Wang <fwang@mandriva.org> 3.2.2-2
+ Revision: 649837
- sync with fedora

* Sat Apr 02 2011 Funda Wang <fwang@mandriva.org> 3.2.2-1
+ Revision: 649799
- disable Werror
- new version 3.2.2

* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 3.1.1-1mdv2011.0
+ Revision: 602199
- update file list
- new version 3.1.1

* Sun Apr 18 2010 Funda Wang <fwang@mandriva.org> 3.0.2-1mdv2010.1
+ Revision: 536369
- New version 3.0.2

* Sun Dec 20 2009 Funda Wang <fwang@mandriva.org> 3.0.0-1mdv2010.1
+ Revision: 480341
- New version 3.0.0
- rename package

* Sat Nov 14 2009 Funda Wang <fwang@mandriva.org> 2.0.3-3mdv2010.1
+ Revision: 465966
- requires openvas-plugins

* Fri Oct 02 2009 Funda Wang <fwang@mandriva.org> 2.0.3-2mdv2010.0
+ Revision: 452492
- add initscript

* Thu Oct 01 2009 Funda Wang <fwang@mandriva.org> 2.0.3-1mdv2010.0
+ Revision: 451974
- fix str fmt
- New version 2.0.3

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2010.0
+ Revision: 370448
- import openvas-server


